# Compression.Mode (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.compression
Enum Compression.Mode

    java.lang.Object
      java.lang.Enum<Compression.Mode>
          net.schmizz.sshj.transport.compression.Compression.Mode

All Implemented Interfaces:
  Serializable, Comparable<Compression.Mode>

Enclosing interface:
  Compression

    public static enum Compression.Mode

extends Enum<Compression.Mode>

Enum identifying if this object will be used to compress or uncompress data.

Enum Constant Summary
`DEFLATE`
`INFLATE`

Method Summary
`static Compression.Mode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Compression.Mode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INFLATE

    public static final Compression.Mode INFLATE

### DEFLATE

    public static final Compression.Mode DEFLATE

Method Detail

### values

    public static Compression.Mode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Compression.Mode c : Compression.Mode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Compression.Mode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2009-2011. All Rights Reserved.